#!/bin/ksh
# script for copying IMAGES, ADDONS, and SOUNDS from
# wwwfoil directories: <seporgimagedir>, <addon>, <audio.ra>
#
# the script copies to the <out_dir> directory
# concatenated files: extrainfo and processed
# as file course.gcf
#

EXTRA=../extrainfo
PROCESS=../processed
PERS=../perstemp
OPTIONS=../options
PERSWWW=../perswww
SCRIPTDIR=..
OUT_GCF=course.gcf
CP="ln -s -f"
DISPLAY=true
#DISPLAY non empty means than file names are displayed

#echo "Copying main text files from GCF directories to current directory  v. 1.02."
#echo ""
CURRENT=`pwd`

  #echo "Copying files to `pwd` directory."
  rm -f ${OUT_GCF}
  if [ -r ${EXTRA} ]
  then
    echo "    Copying <${EXTRA}> file."
    ${CP} ${EXTRA} . 
  else
    echo "    File <${EXTRA}> not found."
  fi
  if [ -r ${OPTIONS} ]
  then
    echo "    Copying <${OPTIONS}> file."
    ${CP} ${OPTIONS} .
  else
    echo "    File <${OPTIONS}> not found."
  fi
  echo "    Copying all <scripts> from ${SCRIPTDIR} directory."
  cp ${SCRIPTDIR}/*script* .
 if [ -r ${PERSWWW} ]
  then
    echo "    Copying <${PERSWWW}> file."
    ${CP} ${PERSWWW} . 
  else
    echo "    File <${PERSWWW}> not found."
  fi
  


